#!/bin/bash

# This pyat/ingestion script sends an "ingest-complete" message to wirth-vml.
# (You'll need to substitute the correct AMQP server parameters from dsoc-dev.properties
# into docker.properties.)
#
# With workspaces Docker containers running, this message should make it to
# workspaces_capability_1 and will show up in the logs.

export CAPO_PROFILE=dsoc-dev

# For reference only; IRL, we swap in edu.nrao.archive.configuration.AmqpServer values
ingest-complete --fileset_id 13B-014.sb29151475.eb29223944.56810.442529050924 \
    --host <edu.nrao.archive.configuration.AmqpServer.hostname> \
    --port 5672 --username <edu.nrao.archive.configuration.AmqpServer.username> \
    --password <edu.nrao.archive.configuration.AmqpServer.password> \
    --key ingestion-complete.#  \
    --exchange archive.events \
    --type topic
